var discord = require('discord.js');
var auth = require('./auth.json');
var settings = require('./settings.json');

var client = new discord.Client();
client.login(auth.token);

client.on('error', (err) => {
   console.log(err.message)
});

client.on("message", message => {
  if (message.author.bot) return; // 自分へ返事しないで

  var random = Math.floor((Math.random() * settings.maxNumber) + 1);

  if (settings.luckyNumber === random) {
    message.channel.send('亡者はそうは思いません。');
  }
  else if (message.isMentioned(client.user)) {
    message.reply('亡者はそうは思いません。');
  }
});
